Bug 65226 - after up2date kdevelop now add's extra chracters to my builds see below cut and paste of a mondo build that worked on rh72. kdevelop before up2date
after up2date kdevelop now add's extra chracters to my builds see below cut a...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdevelop (Show other bugs)
7.2
athlon Linux
high Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-20 13:32 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-20 13:32:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-20 13:32:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
Look at the far left side. During builds extra characters are being put into the
line.  
Now the stock kdevelop in my rh 7.2 package did not have this problem. After a
run on up2date it started this mess

kdevelop-2.0.2-2



o*** success ***
gmake  all-recursive
gmake[1]: Entering directory `/home/sab7/Mondo/mondoarchive'
Making all in mondoarchive
?gmake[2]: Entering directory `/home/sab7/Mondo/mondoarchive/mondoarchive'
Making all in docs
?gmake[3]: Entering directory `/home/sab7/Mondo/mondoarchive/mondoarchive/docs'
@Making all in en
dgmake[4]: Entering directory `/home/sab7/Mondo/mondoarchive/mondoarchive/docs/en'
Hgmake[4]: Nothing to be done for `all'.
/gmake[4]: Leaving directory `/home/sab7/Mondo/mondoarchive/mondoarchive/docs/en'
Fgmake[4]: Entering directory `/home/sab7/Mondo/mondoarchive/mondoarchive/docs'
gmake[4]: Nothing to be done for `all-am'.
gmake[4]: Leaving directory `/home/sab7/Mondo/mondoarchive/mondoarchive/docs'
Pgmake[3]: Leaving directory `/home/sab7/Mondo/mondoarchive/mondoarchive/docs'
gmake[3]: Entering directory `/home/sab7/Mondo/mondoarchive/mondoarchive'
/bin/sh ../libtool --mode=link gcc  -O2   -O0 -g3 -Wall     -o mondoarchive   
-lslang -lnewt 
@mkdir .libs
Pgcc -O2 -O0 -g3 -Wall -o mondoarchive  -lslang -lnewt
,/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../crt1.o: In function `_start':
/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../crt1.o(.text+0x18): undefined
reference to `main'
collect2: ld returned 1 exit status
Bgmake[3]: *** [mondoarchive] Error 1
9gmake[3]: Leaving directory `/home/sab7/Mondo/mondoarchive/mondoarchive'
agmake[2]: L*** [all-recursive] Error 1 
*gmake[2]: Leaving directory `/home/sab7/Mondo/mondoarchive/mondoarchive'
agmake[1]: *** [all-recursive] Error 1
7gmake[1]: Leaving directory `/home/sab7/Mondo/mondoarchive'
ogmake: *** [all-recursive-am] Error 2
2*** failed ***


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.click build
2.click Dist/Clean Rebuild all
3.
	

Actual Results:  o*** success ***
gmake  all-recursive
gmake[1]: Entering directory `/home/sab7/Mondo/mondoarchive'
Making all in mondoarchive
?gmake[2]: Entering directory `/home/sab7/Mondo/mondoarchive/mondoarchive'
Making all in docs
?gmake[3]: Entering directory `/home/sab7/Mondo/mondoarchive/mondoarchive/docs'
@Making all in en
dgmake[4]: Entering directory `/home/sab7/Mondo/mondoarchive/mondoarchive/docs/en'
Hgmake[4]: Nothing to be done for `all'.
/gmake[4]: Leaving directory `/home/sab7/Mondo/mondoarchive/mondoarchive/docs/en'
Fgmake[4]: Entering directory `/home/sab7/Mondo/mondoarchive/mondoarchive/docs'
gmake[4]: Nothing to be done for `all-am'.
gmake[4]: Leaving directory `/home/sab7/Mondo/mondoarchive/mondoarchive/docs'
Pgmake[3]: Leaving directory `/home/sab7/Mondo/mondoarchive/mondoarchive/docs'
gmake[3]: Entering directory `/home/sab7/Mondo/mondoarchive/mondoarchive'
/bin/sh ../libtool --mode=link gcc  -O2   -O0 -g3 -Wall     -o mondoarchive   
-lslang -lnewt 
@mkdir .libs
Pgcc -O2 -O0 -g3 -Wall -o mondoarchive  -lslang -lnewt
,/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../crt1.o: In function `_start':
/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../crt1.o(.text+0x18): undefined
reference to `main'
collect2: ld returned 1 exit status
Bgmake[3]: *** [mondoarchive] Error 1
9gmake[3]: Leaving directory `/home/sab7/Mondo/mondoarchive/mondoarchive'
agmake[2]: L*** [all-recursive] Error 1 
*gmake[2]: Leaving directory `/home/sab7/Mondo/mondoarchive/mondoarchive'
agmake[1]: *** [all-recursive] Error 1
7gmake[1]: Leaving directory `/home/sab7/Mondo/mondoarchive'
ogmake: *** [all-recursive-am] Error 2
2*** failed ***

Expected Results:  it should build without all the garbage characters



Additional info:

i've used kdevelop to clean up mondo without this problem the kdevelop update
killed it.  

It is sever enough for me, i'm on the core development team don't want to go to
vi and make :).  get lazy in my old age

Good luck
Comment 1 Ngo Than 2002-06-02 13:23:58 EDT
please try kdevelop-2.0.2-3. It should fix this bug. You find it on 
ftp://people.redhat.com/than/7.2/

Note You need to log in before you can comment on or make changes to this bug.